Subject: Re: bug#79227: 30.1.90; run-with-timer should error if REPEAT is not a number or nil
From: Eli Zaretskii <[email-masked]>
To: Spencer Baugh <[email-masked]>
Cc: [email-masked]
Date: Sat, 16 Aug 2025 16:19:39 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Spencer Baugh <[email-masked]>
> Date: Sat, 16 Aug 2025 08:55:23 -0400
> Cc: [email-masked]
> 
> On Sat, Aug 16, 2025, 3:56 AM Eli Zaretskii <[email-masked]> wrote:
> 
>  > Date: Tue, 12 Aug 2025 17:26:14 -0400
>  > From:  Spencer Baugh via "Bug reports for GNU Emacs,
>  >  the Swiss army knife of text editors" <[email-masked]>
>  > 
>  > 
>  > The docstring of run-with-timer says REPEAT must be a number or nil, but
>  > it doesn't error if REPEAT is, for example, t.  This is likely to happen
>  > with run-with-idle-timer accepts REPEAT=t.
> 
>  Thanks, should be fixed now on the master branch.
> 
>  I don't understand your reference to run-with-idle-timer, though: for
>  idle timers, it is perfectly valid to use REPEAT = t.  Did you mean
>  run-with-timer instead?
> 
> I mean when code previously used run-with-idle-timer and is changed to use run-with-timer instead, without
> looking closely at the arguments. 

OK, thanks.  Then I guess we can close this bug now.